package fr.univ.lyon1.iut.controllers;

import com.google.gson.Gson;
import fr.univ.lyon1.iut.models.Film;
import fr.univ.lyon1.iut.models.ManageFilm;

import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Request;
import javax.ws.rs.core.Response;

@Path("/film")
public class FilmController {
    @GET
    @Path("/")
    public Response getFilm() {
        ManageFilm mf = new ManageFilm();
        return Response.ok(new Gson().toJson(mf.getFilms()), MediaType.APPLICATION_JSON).build();
    }

    @POST
    @Path("/")
    @Consumes(MediaType.APPLICATION_JSON)
    public Response addFilm(Film f) {
        f.setId(null);
        try {
            ManageFilm mf = new ManageFilm();
            return Response.ok(mf.addFilm(f), MediaType.APPLICATION_JSON).build();
        } catch (Exception e) {
            return Response.serverError().build();
        }
    }

    @PUT
    @Path("/")
    @Consumes(MediaType.APPLICATION_JSON)
    public Response updateFilm(Film f) {
        try {
            ManageFilm mf = new ManageFilm();
            mf.updateFilm(f);
            return Response.ok("ok").build();
        } catch (Exception e) {
            return Response.serverError().build();
        }
    }

    @DELETE
    @Path("/")
    public Response deleteFilm(Film f) {
        try {
            ManageFilm mf = new ManageFilm();
            mf.deleteFilm(f);
            return Response.ok("ok").build();
        } catch (Exception e) {
            return Response.serverError().build();
        }
    }
}
