package fr.univ.lyon1.iut.models;

import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "FILM")
public class Film implements Serializable {
    @Id
    @GeneratedValue(generator = "increment")
    @GenericGenerator(name="increment", strategy = "increment")
    @Getter
    @Setter
    private Long id;

    @Column(name = "name")
    @Getter
    @Setter
    private String name;

    @Column(name = "description")
    @Getter
    @Setter
    private String description;

    @Column(name = "date")
    @Temporal(TemporalType.TIMESTAMP)
    @Getter
    @Setter
    private Date date;

    @Column(name = "duration")
    @Getter
    @Setter
    private long duration;

    public Film(String name, String description, Date date, long duration) {
        this.name = name;
        this.description = description;
        this.date = date;
        this.duration = duration;
    }

    public Film() {

    }
}
